From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-doc/doxygen/
Date: Thu, 10 Dec 2020 19:14:07 +0000 (UTC) [thread overview]
Message-ID: <1607627630.dc8c2f03346c169253098f4519780bf64f24dbb9.tamiko@gentoo> (raw)
commit: dc8c2f03346c169253098f4519780bf64f24dbb9
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 10 18:59:44 2020 +0000
Commit: Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Thu Dec 10 19:13:50 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc8c2f03
app-doc/doxygen: version bump to 1.8.20
* some QA warnings unresolved
* remove LLVM-9 constraint
Bug: https://bugs.gentoo.org/730170
Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>
app-doc/doxygen/Manifest | 1 +
app-doc/doxygen/doxygen-1.8.20.ebuild | 135 ++++++++++++++++++++++++++++++++++
2 files changed, 136 insertions(+)
diff --git a/app-doc/doxygen/Manifest b/app-doc/doxygen/Manifest
index 9fcd0fe810f..0f360533449 100644
--- a/app-doc/doxygen/Manifest
+++ b/app-doc/doxygen/Manifest
@@ -1 +1,2 @@
DIST doxygen-1.8.17.src.tar.gz 5138888 BLAKE2B 79d7d64fe2104f3fc802e9ee8f5fcd13ed4f0e23fe3e8d8013d1724d917d5f4e7d8c2df672e253aa2c8d67e839a6169632ebd87bc281b8ee70d217f486e402f7 SHA512 2fd087d127e301ea48355ea52c9af4f2091df06551cf64da80df81f0758194b296efb1e8d3962867a6a6d2da5a3fc323842f7766a445748005b30097ded30a75
+DIST doxygen-1.8.20.src.tar.gz 5132703 BLAKE2B 2a9e6df833c64d7052331b52647943f7eaad8214d66962970ad55628cc2ab26883655908588bee2d4872bb2d6d85f8d18cbb03e7dabe0280f337ab53d8538ec9 SHA512 65d104d25061ee59199c74c0328f59fbeaf14f0dade755187ebd43f59008adfef243d4da448b71ae04dc325b848f9bdd109eb20e6f6092f3ed19862426d060cf
diff --git a/app-doc/doxygen/doxygen-1.8.20.ebuild b/app-doc/doxygen/doxygen-1.8.20.ebuild
new file mode 100644
index 00000000000..ebf62066ad5
--- /dev/null
+++ b/app-doc/doxygen/doxygen-1.8.20.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake-utils eutils flag-o-matic llvm python-any-r1
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/doxygen/doxygen.git"
+ SRC_URI=""
+else
+ SRC_URI="http://doxygen.nl/files/${P}.src.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Documentation system for most programming languages"
+HOMEPAGE="http://www.doxygen.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="clang debug doc dot doxysearch qt5 sqlite userland_GNU"
+
+RDEPEND="app-text/ghostscript-gpl
+ dev-lang/perl
+ media-libs/libpng:0=
+ virtual/libiconv
+ clang? ( sys-devel/clang:= )
+ dot? (
+ media-gfx/graphviz
+ media-libs/freetype
+ )
+ doc? (
+ dev-texlive/texlive-bibtexextra
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-fontutils
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-latexextra
+ )
+ doxysearch? ( dev-libs/xapian:= )
+ qt5? (
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ )
+ sqlite? ( dev-db/sqlite:3 )
+ "
+
+DEPEND="sys-devel/flex
+ sys-devel/bison
+ doc? ( ${PYTHON_DEPS} )
+ ${RDEPEND}"
+
+# src_test() defaults to make -C testing but there is no such directory (bug #504448)
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.8.9.1-empty-line-sigsegv.patch" #454348
+ "${FILESDIR}/${PN}-1.8.16-link_with_pthread.patch"
+ "${FILESDIR}/${PN}-1.8.17-ensure_static_support_libraries.patch"
+)
+
+DOCS=( LANGUAGE.HOWTO README.md )
+
+pkg_setup() {
+ use clang && llvm_pkg_setup
+ use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # Ensure we link to -liconv
+ if use elibc_FreeBSD && has_version dev-libs/libiconv || use elibc_uclibc; then
+ local pro
+ for pro in */*.pro.in */*/*.pro.in; do
+ echo "unix:LIBS += -liconv" >> "${pro}" || die
+ done
+ fi
+
+ # Call dot with -Teps instead of -Tps for EPS generation - bug #282150
+ sed -i -e '/addJob("ps"/ s/"ps"/"eps"/g' src/dot.cpp || die
+
+ # fix pdf doc
+ sed -i.orig -e "s:g_kowal:g kowal:" \
+ doc/maintainers.txt || die
+
+ if is-flagq "-O3" ; then
+ ewarn
+ ewarn "Compiling with -O3 is known to produce incorrectly"
+ ewarn "optimized code which breaks doxygen."
+ ewarn
+ elog
+ elog "Continuing with -O2 instead ..."
+ elog
+ replace-flags "-O3" "-O2"
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -Duse_libclang=$(usex clang)
+ -Dbuild_doc=$(usex doc)
+ -Dbuild_search=$(usex doxysearch)
+ -Dbuild_wizard=$(usex qt5)
+ -Duse_sqlite3=$(usex sqlite)
+ -DGIT_EXECUTABLE="false"
+ )
+ use doc && mycmakeargs+=(
+ -DDOC_INSTALL_DIR="share/doc/${P}"
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc; then
+ export VARTEXFONTS="${T}/fonts" # bug #564944
+
+ if ! use dot; then
+ sed -i -e "s/HAVE_DOT = YES/HAVE_DOT = NO/" \
+ {Doxyfile,doc/Doxyfile} \
+ || die "disabling dot failed"
+ fi
+ cmake-utils_src_make -C "${BUILD_DIR}" docs
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+}
next reply other threads:[~2020-12-10 19:14 UTC|newest]
Thread overview: 193+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-10 19:14 Matthias Maier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-03 2:20 [gentoo-commits] repo/gentoo:master commit in: app-doc/doxygen/ Ionen Wolkens
2024-01-02 7:38 Sam James
2023-12-31 3:49 Sam James
2023-12-28 2:19 Sam James
2023-12-28 2:19 Sam James
2023-12-16 3:08 Sam James
2023-12-16 3:08 Sam James
2023-12-04 9:25 Sam James
2023-11-29 7:03 Sam James
2023-11-29 6:08 Sam James
2023-11-28 5:27 Arthur Zamarin
2023-11-27 11:25 Sam James
2023-11-27 11:23 Sam James
2023-11-27 11:23 Sam James
2023-11-27 11:23 Sam James
2023-11-27 11:23 Sam James
2023-11-25 16:57 Arthur Zamarin
2023-09-24 4:45 Sam James
2023-07-26 3:13 Sam James
2023-05-27 19:21 Arthur Zamarin
2023-05-26 11:39 Andreas Sturmlechner
2023-05-20 13:00 Sam James
2023-05-20 4:48 Sam James
2023-04-13 15:14 Matthias Maier
2023-03-31 11:46 Arthur Zamarin
2023-03-31 11:46 Arthur Zamarin
2023-03-31 11:46 Arthur Zamarin
2023-03-31 11:46 Arthur Zamarin
2023-03-31 11:46 Arthur Zamarin
2023-03-31 11:46 Arthur Zamarin
2022-12-31 13:40 Arthur Zamarin
2022-12-31 13:40 Arthur Zamarin
2022-12-30 6:33 Sam James
2022-12-29 21:27 Sam James
2022-12-29 21:27 Sam James
2022-12-25 20:12 Matthias Maier
2022-11-19 7:27 Arthur Zamarin
2022-11-19 7:27 Arthur Zamarin
2022-11-19 7:27 Arthur Zamarin
2022-11-19 7:27 Arthur Zamarin
2022-11-19 7:27 Arthur Zamarin
2022-11-19 7:27 Arthur Zamarin
2022-11-18 7:22 WANG Xuerui
2022-11-18 7:07 Jakov Smolić
2022-11-18 7:04 Jakov Smolić
2022-11-10 6:10 Sam James
2022-08-29 19:06 Sam James
2022-08-19 19:38 Sam James
2022-07-30 15:54 Arthur Zamarin
2022-07-25 4:19 Sam James
2022-07-18 12:52 Sam James
2022-07-18 12:52 Sam James
2022-07-17 19:42 Sam James
2022-07-17 19:42 Sam James
2022-07-17 17:34 Sam James
2022-07-17 17:34 Sam James
2022-07-17 15:27 Sam James
2022-06-23 5:35 Sam James
2022-05-18 18:31 Sam James
2022-05-15 8:38 Jakov Smolić
2022-05-15 8:19 Jakov Smolić
2022-05-15 8:14 Jakov Smolić
2022-05-15 8:14 Jakov Smolić
2022-05-14 22:34 Jakov Smolić
2022-05-14 22:27 Jakov Smolić
2022-05-14 21:53 Jakov Smolić
2022-01-01 4:29 Sam James
2021-11-24 3:07 Sam James
2021-11-15 19:41 Agostino Sarubbo
2021-09-20 10:41 James Le Cuirot
2021-08-26 19:46 Arthur Zamarin
2021-08-26 19:46 Arthur Zamarin
2021-05-15 2:41 Sam James
2021-05-15 2:37 Sam James
2021-04-13 7:12 Sergei Trofimovich
2021-04-03 23:07 Sam James
2021-03-26 20:39 Agostino Sarubbo
2021-03-19 18:09 Mikle Kolyada
2021-03-15 11:39 Sam James
2021-03-01 19:51 Sergei Trofimovich
2021-02-18 20:11 Sergei Trofimovich
2021-02-17 7:36 Sergei Trofimovich
2021-01-22 22:46 Sam James
2021-01-14 21:55 Sam James
2021-01-14 18:58 Sam James
2021-01-06 12:59 Fabian Groffen
2020-12-12 21:40 Matthias Maier
2020-10-31 11:11 David Seifert
2020-07-11 20:16 Sam James
2020-06-07 21:04 Mart Raudsepp
2020-06-07 21:04 Mart Raudsepp
2020-05-18 21:13 Agostino Sarubbo
2020-05-18 21:10 Agostino Sarubbo
2020-05-18 16:46 Sergei Trofimovich
2020-05-18 15:10 Agostino Sarubbo
2020-05-17 10:06 Sergei Trofimovich
2020-05-17 9:55 Sergei Trofimovich
2020-05-16 19:47 Sergei Trofimovich
2020-05-12 20:17 Sergei Trofimovich
2020-05-11 20:34 Sergei Trofimovich
2020-04-04 11:07 Sergei Trofimovich
2020-03-11 14:42 Matthias Maier
2020-03-01 18:39 Matthias Maier
2020-03-01 18:36 Matthias Maier
2020-01-03 13:57 Agostino Sarubbo
2019-12-31 14:21 Agostino Sarubbo
2019-12-31 14:16 Agostino Sarubbo
2019-12-28 15:59 Mikle Kolyada
2019-12-28 11:27 Lars Wendler
2019-12-26 23:03 Aaron Bauman
2019-12-23 9:42 Mikle Kolyada
2019-12-15 10:59 Agostino Sarubbo
2019-12-13 9:45 Agostino Sarubbo
2019-12-13 0:07 Thomas Deutschmann
2019-12-12 22:56 Sergei Trofimovich
2019-12-12 20:05 Matthias Maier
2019-12-12 19:23 Matthias Maier
2019-09-13 15:36 Mikle Kolyada
2019-09-13 15:36 Mikle Kolyada
2019-08-06 15:24 Agostino Sarubbo
2019-08-06 9:42 Agostino Sarubbo
2019-08-06 9:39 Agostino Sarubbo
2019-08-03 2:38 Sergei Trofimovich
2019-08-03 2:37 Sergei Trofimovich
2019-08-03 2:35 Sergei Trofimovich
2019-08-02 19:30 Sergei Trofimovich
2019-08-02 16:18 Aaron Bauman
2019-08-02 6:23 Matthias Maier
2018-12-27 18:48 Fabian Groffen
2018-10-02 2:14 Matthias Maier
2018-07-11 5:05 Markus Meier
2018-06-25 18:56 Tobias Klausmann
2018-06-12 16:06 Mikle Kolyada
2018-06-06 16:37 Sergei Trofimovich
2018-06-05 17:25 Mart Raudsepp
2018-06-05 16:59 Matthias Maier
2018-06-05 16:59 Matthias Maier
2018-06-05 16:59 Matthias Maier
2018-06-04 18:46 Mikle Kolyada
2018-06-04 2:44 Matthias Maier
2018-06-03 22:51 Sergei Trofimovich
2018-06-03 21:18 Matthias Maier
2018-06-03 21:18 Matthias Maier
2018-06-03 17:50 Mikle Kolyada
2018-04-20 19:45 David Seifert
2018-02-07 0:54 Matthias Maier
2018-02-07 0:54 Matthias Maier
2017-12-20 17:53 Matthias Maier
2017-12-20 17:53 Matthias Maier
2017-12-15 5:12 Matthias Maier
2017-12-15 3:58 Matthias Maier
2017-12-15 2:04 Matthias Maier
2017-12-10 10:17 Pacho Ramos
2017-11-19 12:37 David Seifert
2017-03-13 19:04 Jeroen Roovers
2017-03-11 17:07 Agostino Sarubbo
2017-03-04 14:02 Agostino Sarubbo
2017-03-02 10:47 Agostino Sarubbo
2017-02-28 11:22 Tobias Klausmann
2017-02-27 20:11 Michael Weber
2017-02-27 8:24 Agostino Sarubbo
2017-02-25 21:31 Matthias Maier
2017-02-20 18:05 Markus Meier
2017-01-23 18:58 Tobias Klausmann
2017-01-22 16:27 Agostino Sarubbo
2017-01-22 9:44 Jeroen Roovers
2017-01-20 11:05 Agostino Sarubbo
2017-01-17 13:52 Matthias Maier
2017-01-17 13:41 Matthias Maier
2017-01-15 15:50 Agostino Sarubbo
2016-09-16 5:12 Matthias Maier
2016-09-16 5:12 Matthias Maier
2016-08-28 8:50 Jeroen Roovers
2016-08-16 2:17 Matthias Maier
2016-07-17 17:35 Tobias Klausmann
2016-06-15 4:19 Matthias Maier
2016-02-28 15:58 Matthias Maier
2016-02-28 15:58 Matthias Maier
2016-02-28 2:53 Matthias Maier
2016-01-25 14:51 Matthias Maier
2015-12-10 23:47 Matthias Maier
2015-12-10 23:47 Matthias Maier
2015-11-23 9:25 Agostino Sarubbo
2015-11-10 18:55 Markus Meier
2015-11-08 19:03 Mikle Kolyada
2015-11-01 13:15 Mikle Kolyada
2015-10-30 10:15 Agostino Sarubbo
2015-10-27 12:18 Agostino Sarubbo
2015-10-26 5:31 Jeroen Roovers
2015-10-09 5:35 Jeroen Roovers
2015-10-09 5:21 Jeroen Roovers
2015-08-09 6:19 Matthias Maier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1607627630.dc8c2f03346c169253098f4519780bf64f24dbb9.tamiko@gentoo \
--to=tamiko@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox